%global _hardened_build 1
%global debug_package %{nil}

%{!?_licensedir:%global license %%doc}
%{!?bash_completions_dir:%global bash_completions_dir %{_datadir}/bash-completion/completions}

%global gover 1.24.1

Name: smallstep
Version: 0.28.6
Release: 1%{?dist}
Summary: Smallstep cli
License: Apache-2.0
URL: https://smallstep.com/
Source0: https://github.com/smallstep/cli/releases/download/v%{version}/step_%{version}.tar.gz
Source99: https://go.dev/dl/go%{gover}.linux-amd64.tar.gz
BuildRequires: make gcc

%description
step is a toolkit for working with your public key infrastructure (PKI). It's
also the client counterpart to the step-ca online Certificate Authority (CA).


%package bash-completion
Summary: Bash completion for %{name}
BuildRequires: bash-completion
Requires: bash-completion
Requires: %{name} = %{version}


%description bash-completion
This package contains the bash-completion file for %{name}.


%prep
%if 0%{?rhel} >= 8
%setup -q -b 99 -c
%else
%setup -T -b 99 -c -a 0
%endif
test -e Makefile
sed -i '/CGO_ENABLED=0/d' Makefile


%build
export PATH=${PATH}:%{_builddir}/go/bin
CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" V=1 VERSION=%{version} \
make %{?_smp_mflags} binary-linux-amd64
output/binary/linux-amd64/step completion bash > step.sh.complete


%install
[[ '%{buildroot}' != '/' ]] && rm -rf %{buildroot}
install -Dp -m0755 output/binary/linux-amd64/step %{buildroot}%{_bindir}/step
install -Dp -m0644 step.sh.complete %{buildroot}%{bash_completions_dir}/step


%files
%license LICENSE
%doc README.md
%{_bindir}/step


%files bash-completion
%{bash_completions_dir}/step


%changelog
* Tue Mar 18 2025 Philippe Kueck <projects@unixadm.org> - 0.28.6-1
- new upstream release

* Wed Mar  5 2025 Philippe Kueck <projects@unixadm.org> - 0.28.5-1
- new upstream release
- compile with go 1.24.1

* Thu Feb 20 2025 Philippe Kueck <projects@unixadm.org> - 0.28.3-1
- new upstream release
- compile with go 1.24.0

* Wed Nov 20 2024 Philippe Kueck <projects@unixadm.org> - 0.28.2-1
- new upstream release

* Wed Oct 30 2024 Philippe Kueck <projects@unixadm.org> - 0.28.0-1
- new upstream release

* Thu Oct 17 2024 Philippe Kueck <projects@unixadm.org> - 0.27.5-2
- new upstream release

* Thu Jul 18 2024 Philippe Kueck <projects@unixadm.org> - 0.27.2-1
- new upstream release

* Fri Jul 12 2024 Philippe Kueck <projects@unixadm.org> - 0.27.1-1
- new upstream release
- compile with go 1.22.5

* Thu Jun 13 2024 Philippe Kueck <projects@unixadm.org> - 0.26.2-1
- new upstream release

* Fri Mar 29 2024 Philippe Kueck <projects@unixadm.org> - 0.26.0-1
- new upstream release

* Fri Jan 19 2024 Philippe Kueck <projects@unixadm.org> - 0.25.2-1
- new upstream release

* Wed Nov 29 2023 Philippe Kueck <projects@unixadm.org> - 0.25.1-1
- new upstream release

* Mon Nov 13 2023 Philippe Kueck <projects@unixadm.org> - 0.25.0-1
- new upstream release

* Fri May 12 2023 Philippe Kueck <projects@unixadm.org> - 0.24.4-1
- new upstream release
- enable CGO
- compile with go 1.20.4

* Fri Apr 14 2023 Philippe Kueck <projects@unixadm.org> - 0.24.2-1
- new upstream release

* Fri Mar 10 2023 Philippe Kueck <projects@unixadm.org> - 0.23.4-1
- new upstream release

* Wed Mar  1 2023 Philippe Kueck <projects@unixadm.org> - 0.23.3-1
- new upstream release

* Tue Feb  7 2023 Philippe Kueck <projects@unixadm.org> - 0.23.2-1
- new upstream release

* Wed Jan 11 2023 Philippe Kueck <projects@unixadm.org> - 0.23.1-1
- new upstream release

* Sat Nov 12 2022 Philippe Kueck <projects@unixadm.org> - 0.23.0-1
- new upstream release

* Wed Aug 31 2022 Philippe Kueck <projects@unixadm.org> - 0.22.0-1
- new upstream release

* Thu Jul  7 2022 Philippe Kueck <projects@unixadm.org> - 0.21.0-1
- new upstream release

* Thu May 26 2022 Philippe Kueck <projects@unixadm.org> - 0.20.0-1
- new upstream release

* Wed Apr 20 2022 Philippe Kueck <projects@unixadm.org> - 0.19.0-1
- new upstream release

* Wed Mar  2 2022 Philippe Kueck <projects@unixadm.org> - 0.18.2-1
- new upstream release

* Thu Feb  3 2022 Philippe Kueck <projects@unixadm.org> - 0.18.1-1
- new upstream release

* Wed Nov 17 2021 Philippe Kueck <projects@unixadm.org> - 0.18.0-1
- new upstream release

* Wed Oct 20 2021 Philippe Kueck <projects@unixadm.org> - 0.17.7-1
- new upstream release

* Fri Oct  1 2021 Philippe Kueck <projects@unixadm.org> - 0.17.6-1
- new upstream release

* Wed Sep 29 2021 Philippe Kueck <projects@unixadm.org> - 0.17.5-1
- new upstream release

* Sat Sep 25 2021 Philippe Kueck <projects@unixadm.org> - 0.17.4-1
- new upstream release

* Wed Sep  8 2021 Philippe Kueck <projects@unixadm.org> - 0.17.2-1
- new upstream release

* Fri Jul  9 2021 Philippe Kueck <projects@unixadm.org> - 0.16.0-1
- new upstream release

* Tue May  4 2021 Philippe Kueck <projects@unixadm.org> - 0.15.16-1
- new upstream release

* Wed Apr  7 2021 Philippe Kueck <projects@unixadm.org> - 0.15.14-1
- new upstream release

* Sat Mar 20 2021 Philippe Kueck <projects@unixadm.org> - 0.15.13-1
- new upstream release

* Thu Feb 18 2021 Philippe Kueck <projects@unixadm.org> - 0.15.7-1
- new upstream release

* Thu Dec 17 2020 Philippe Kueck <projects@unixadm.org> - 0.15.3-1
- new upstream release

* Tue Aug 25 2020 Philippe Kueck <projects@unixadm.org> - 0.15.0-1
- initial packaging
